org.richfaces.component

## Enum UICollapsibleSubTable.Properties

- java.lang.Object
- - java.lang.Enum<UICollapsibleSubTable.Properties>
  - - org.richfaces.component.UICollapsibleSubTable.Properties

- All Implemented Interfaces:
    Serializable, Comparable<UICollapsibleSubTable.Properties>
  Enclosing class:
    UICollapsibleSubTable

      protected static enum UICollapsibleSubTable.Properties
      extends Enum<UICollapsibleSubTable.Properties>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `cellClass`
    `columnClasses`
    `columnFooterCellClass`
    `columnFooterClass`
    `columnHeaderCellClass`
    `columnHeaderClass`
    `columnHeaderFirstClass`
    `expandMode`
    `filterVar`
    `firstColumnFooterClass`
    `firstRowClass`
    `footerCellClass`
    `footerClass`
    `footerFirstClass`
    `headerCellClass`
    `headerClass`
    `headerFirstClass`
    `noDataLabel`
    `onrowclick`
    `onrowdblclick`
    `onrowkeydown`
    `onrowkeypress`
    `onrowkeyup`
    `onrowmousedown`
    `onrowmousemove`
    `onrowmouseout`
    `onrowmouseover`
    `onrowmouseup`
    `rowClass`
    `rowClasses`
    `sortMode`
    `sortPriority`
    `style`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static UICollapsibleSubTable.Properties` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static UICollapsibleSubTable.Properties[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### cellClass

          public static final UICollapsibleSubTable.Properties cellClass

    - #### columnClasses

          public static final UICollapsibleSubTable.Properties columnClasses

    - #### columnFooterCellClass

          public static final UICollapsibleSubTable.Properties columnFooterCellClass

    - #### columnFooterClass

          public static final UICollapsibleSubTable.Properties columnFooterClass

    - #### columnHeaderCellClass

          public static final UICollapsibleSubTable.Properties columnHeaderCellClass

    - #### columnHeaderClass

          public static final UICollapsibleSubTable.Properties columnHeaderClass

    - #### columnHeaderFirstClass

          public static final UICollapsibleSubTable.Properties columnHeaderFirstClass

    - #### expandMode

          public static final UICollapsibleSubTable.Properties expandMode

    - #### filterVar

          public static final UICollapsibleSubTable.Properties filterVar

    - #### firstColumnFooterClass

          public static final UICollapsibleSubTable.Properties firstColumnFooterClass

    - #### firstRowClass

          public static final UICollapsibleSubTable.Properties firstRowClass

    - #### footerCellClass

          public static final UICollapsibleSubTable.Properties footerCellClass

    - #### footerClass

          public static final UICollapsibleSubTable.Properties footerClass

    - #### footerFirstClass

          public static final UICollapsibleSubTable.Properties footerFirstClass

    - #### headerCellClass

          public static final UICollapsibleSubTable.Properties headerCellClass

    - #### headerClass

          public static final UICollapsibleSubTable.Properties headerClass

    - #### headerFirstClass

          public static final UICollapsibleSubTable.Properties headerFirstClass

    - #### noDataLabel

          public static final UICollapsibleSubTable.Properties noDataLabel

    - #### onrowclick

          public static final UICollapsibleSubTable.Properties onrowclick

    - #### onrowdblclick

          public static final UICollapsibleSubTable.Properties onrowdblclick

    - #### onrowkeydown

          public static final UICollapsibleSubTable.Properties onrowkeydown

    - #### onrowkeypress

          public static final UICollapsibleSubTable.Properties onrowkeypress

    - #### onrowkeyup

          public static final UICollapsibleSubTable.Properties onrowkeyup

    - #### onrowmousedown

          public static final UICollapsibleSubTable.Properties onrowmousedown

    - #### onrowmousemove

          public static final UICollapsibleSubTable.Properties onrowmousemove

    - #### onrowmouseout

          public static final UICollapsibleSubTable.Properties onrowmouseout

    - #### onrowmouseover

          public static final UICollapsibleSubTable.Properties onrowmouseover

    - #### onrowmouseup

          public static final UICollapsibleSubTable.Properties onrowmouseup

    - #### rowClass

          public static final UICollapsibleSubTable.Properties rowClass

    - #### rowClasses

          public static final UICollapsibleSubTable.Properties rowClasses

    - #### sortMode

          public static final UICollapsibleSubTable.Properties sortMode

    - #### sortPriority

          public static final UICollapsibleSubTable.Properties sortPriority

    - #### style

          public static final UICollapsibleSubTable.Properties style

  - ### Method Detail

    - #### values

          public static UICollapsibleSubTable.Properties[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (UICollapsibleSubTable.Properties c : UICollapsibleSubTable.Properties.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static UICollapsibleSubTable.Properties valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.